Page MenuHomeFreeBSD

Update emulators/mupen64plus-qt to 1.11
ClosedPublic

Authored by fernape on Mar 22 2018, 3:41 PM.
Tags
None
Referenced Files
Unknown Object (File)
Wed, Jun 26, 10:40 PM
Unknown Object (File)
Wed, Jun 26, 10:40 PM
Unknown Object (File)
Tue, Jun 25, 9:00 AM
Unknown Object (File)
Tue, Jun 25, 12:16 AM
Unknown Object (File)
Sun, Jun 23, 10:55 AM
Unknown Object (File)
Sun, Jun 23, 10:12 AM
Unknown Object (File)
Jun 21 2024, 8:39 PM
Unknown Object (File)
Jun 21 2024, 6:25 AM
Subscribers
None

Details

Reviewers
tz
tcberner
Commits
rP465466: PR: 224942
Summary
  • Update emulators/mupen64plus-qt to 1.11
  • Update to use qt5
  • Fix stage-qa error

This comes from PR 224942. The original patch didn't build because it lacked
the USE_QT5 widgets module.

In addition I added the USE_GL line to avoid a stage-qa error.

portlint -AC is clean, the software runs (tested in 11.1-RELEASE) and builds in
{10.3,10.4,11.1}{amd64,i386} and 12i386. Poudriere logs available:

https://www.dropbox.com/sh/uvrkcm856p2856k/AABl1WRJgEa6p7Q6w180T-Ara?dl=0

I suppose I should let the PR submitter know about the build error. Should I
ask him to send a new patch, ask him to review my proposal?

Test Plan

portlint -AC, make -C emulators/mupe64plus-qt and run the executable

Diff Detail

Repository
rP FreeBSD ports repository
Lint
Lint Not Applicable
Unit
Tests Not Applicable

Event Timeline

You can add the URL to the diff to the URL field of the bugzilla report. Then they can chime in here.

emulators/mupen64plus-qt/Makefile
5 ↗(On Diff #40599)

^you could switch this to read DISTVERSION

21 ↗(On Diff #40599)

I would sort this by kind and alphabetically

USE_QT5= core gui network sql widgets xml \
      buildtools_build \
      sql-sqlite3_run
22 ↗(On Diff #40599)

You could order the USE_x alphabetically, i.e. move USE_GL above USE_QT5.

But that's just my taste ...

This revision now requires changes to proceed.Mar 22 2018, 4:37 PM

Changes requested by tcberner.

  • Sorting USE_QT5 elements
  • Sorting USE_x
  • Change PORTVERSION for DISTVERSION

You can add the URL to the diff to the URL field of the bugzilla report. Then they can chime in here.

Done.

Thanks!

You can add the URL to the diff to the URL field of the bugzilla report. Then they can chime in here.

Done.

The submitter accepted the changes in bugzilla.

Thanks!

This revision is now accepted and ready to land.Mar 24 2018, 5:53 PM
This revision was automatically updated to reflect the committed changes.